Debian Bug report logs - #195732
Definition of ACS_* causes compiler warnings on g++-3.3

version graph

Package: libncurses5-dev; Maintainer for libncurses5-dev is Craig Small <csmall@debian.org>; Source for libncurses5-dev is src:ncurses.

Reported by: Daniel Burrows <dnb114@psu.edu>

Date: Sun, 1 Jun 2003 22:03:01 UTC

Severity: important

Found in version 5.3.20030510-1

Fixed in version ncurses/5.3.20030719-1

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#195732; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dnb114@psu.edu>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dnb114@psu.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Definition of ACS_* causes compiler warnings on g++-3.3
Date: Sun, 1 Jun 2003 17:48:27 -0400
Package: libncurses5-dev
Version: 5.3.20030510-1
Severity: important

  I like to compile -Wall -Werror, and this interacts badly with ncurses
and g++-3.3 (now the default in unstable)  The problem is that the
definitions of ACS_* index acs_map with chars, which g++-3.3 doesn't
like, for instance:

vs_menu.cc:285: warning: array subscript has type `char'

  I believe that simply casting the chars to ints will fix the problem,
but I haven't tried it here (sorry) -- that is,

#define ACS_ULCORNER    (acs_map[(int) 'l'])
  , etc.

  (important because this breaks aptitude's build, not higher because
   only anal-retentive nutcases like myself use -Wall -Werror)

  Daniel

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux torrent.burrows.local 2.4.20 #4 Wed Feb 26 19:55:42 EST 2003 i686
Locale: LANG=en_US, LC_CTYPE=en_US (ignored: LC_ALL set)

Versions of packages libncurses5-dev depends on:
ii  libc6-dev [libc-dev]      2.3.1-17       GNU C Library: Development Librari
ii  libncurses5               5.3.20030510-1 Shared libraries for terminal hand

-- no debconf information


-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                         You will soon forget this.                          |
\---- News without the $$ -- National Public Radio -- http://www.npr.org ----/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#195732; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Daniel Burrows <dnb114@psu.edu>, 195732@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#195732: Definition of ACS_* causes compiler warnings on g++-3.3
Date: Sun, 1 Jun 2003 18:24:21 -0400
On Sun, Jun 01, 2003 at 05:48:27PM -0400, Daniel Burrows wrote:
> Package: libncurses5-dev
> Version: 5.3.20030510-1
> Severity: important
> 
>   I like to compile -Wall -Werror, and this interacts badly with ncurses
> and g++-3.3 (now the default in unstable)  The problem is that the
> definitions of ACS_* index acs_map with chars, which g++-3.3 doesn't
> like, for instance:
> 
> vs_menu.cc:285: warning: array subscript has type `char'

something like that (I did notice this, but -Wall isn't sufficient to
make the warning).
 
>   I believe that simply casting the chars to ints will fix the problem,

actually an unsigned is appropriate here (an int happens to work because
none of the index values are 8-bit).  Since the casts are ugly - and
in this case the warnings are (because the values are known to be 7-bit)
a defect in gcc, I had in mind making a macro to hide the ugliness.

> but I haven't tried it here (sorry) -- that is,
> 
> #define ACS_ULCORNER    (acs_map[(int) 'l'])
>   , etc.
> 
>   (important because this breaks aptitude's build, not higher because
>    only anal-retentive nutcases like myself use -Wall -Werror)
> 
>   Daniel
> 
> -- System Information:
> Debian Release: testing/unstable
> Architecture: i386
> Kernel: Linux torrent.burrows.local 2.4.20 #4 Wed Feb 26 19:55:42 EST 2003 i686
> Locale: LANG=en_US, LC_CTYPE=en_US (ignored: LC_ALL set)
> 
> Versions of packages libncurses5-dev depends on:
> ii  libc6-dev [libc-dev]      2.3.1-17       GNU C Library: Development Librari
> ii  libncurses5               5.3.20030510-1 Shared libraries for terminal hand
> 
> -- no debconf information
> 
> 
> -- 
> /-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
> |                         You will soon forget this.                          |
> \---- News without the $$ -- National Public Radio -- http://www.npr.org ----/

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#195732; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Burrows <dnb114@psu.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 195732-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 195732-close@bugs.debian.org
Subject: Bug#195732: fixed in ncurses 5.3.20030719-1
Date: Sun, 20 Jul 2003 16:47:24 -0400
We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.3.20030719-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.3.20030719-1_i386.deb
libncurses5-dev_5.3.20030719-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.3.20030719-1_i386.deb
libncurses5_5.3.20030719-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.3.20030719-1_i386.deb
libncursesw5-dbg_5.3.20030719-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.3.20030719-1_i386.deb
libncursesw5-dev_5.3.20030719-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.3.20030719-1_i386.deb
libncursesw5_5.3.20030719-1_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.3.20030719-1_i386.deb
ncurses-base_5.3.20030719-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.3.20030719-1_all.deb
ncurses-bin_5.3.20030719-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.3.20030719-1_i386.deb
ncurses-term_5.3.20030719-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.3.20030719-1_all.deb
ncurses_5.3.20030719-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.3.20030719-1.diff.gz
ncurses_5.3.20030719-1.dsc
  to pool/main/n/ncurses/ncurses_5.3.20030719-1.dsc
ncurses_5.3.20030719.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.3.20030719.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 195732@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 20 Jul 2003 15:22:51 -0400
Source: ncurses
Binary: ncurses-base libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg
Architecture: source i386 all
Version: 5.3.20030719-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries and docs for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 195230 195732 200397
Changes: 
 ncurses (5.3.20030719-1) unstable; urgency=low
 .
   * New upstream snapshot.
     - Includes GNU/FreeBSD support (Closes: #200397).
     - Warning fix for character array subscripts (Closes: #195732).
     - Update use of __attribute__ for C++ (Closes: #195230).
   * Move the Cygwin terminfo to ncurses-base.
Files: 
 842245e130144ea4b6a38dd6b68f350b 725 libs standard ncurses_5.3.20030719-1.dsc
 7a2c22d5cfaee4b45cc642f4dc6bdc37 2117161 libs standard ncurses_5.3.20030719.orig.tar.gz
 744daa177c1ff62823a7e4db04f978f7 27670 libs standard ncurses_5.3.20030719-1.diff.gz
 92486ebb833e793c465663848a830440 262314 base required libncurses5_5.3.20030719-1_i386.deb
 09d1e8d16034ebb7b7a99744d0dd7f3a 1021118 libdevel optional libncurses5-dev_5.3.20030719-1_i386.deb
 320335713abed084588f4a6eb34eedee 3959668 libdevel extra libncurses5-dbg_5.3.20030719-1_i386.deb
 c90bdef645484f74fe34033966b2578a 271454 libs optional libncursesw5_5.3.20030719-1_i386.deb
 1dc2ef44c97083ab982c968277a6c077 379396 libdevel optional libncursesw5-dev_5.3.20030719-1_i386.deb
 cafd154f593e909ad277cf92a0766a8f 3980608 libdevel extra libncursesw5-dbg_5.3.20030719-1_i386.deb
 8db46e73fe429ba20c5082d33037333e 198978 base required ncurses-bin_5.3.20030719-1_i386.deb
 2b6b6a28fcfe0391bbabebf9455dd87d 10342 base required ncurses-base_5.3.20030719-1_all.deb
 2799e3ab84c45ea08476ae562d95ab83 269312 admin standard ncurses-term_5.3.20030719-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/Gv2jbgOPXuCjg3cRAhAhAJoDoUgt1AEep2zSsLKmPSQpNbml1wCfftqq
8Lkq9YUzWr4Lj35LA8nyzag=
=pwgr
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:23:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.